﻿<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - Mon application ASP.NET</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
    <script src="https://kit.fontawesome.com/a076d05399.js"></script>
    <script>
        var userAuthorized = @User.Identity.IsAuthenticated.ToString().ToLower();
    </script>
</head>
<body>
    @*<div class="navbar navbar-inverse navbar-fixed-top">
            <div class="container">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    @Html.ActionLink("Nom d'application", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })
                </div>
                <div class="navbar-collapse collapse">
                    <ul class="nav navbar-nav">
                        <li>@Html.ActionLink("Accueil", "Index", "Home")</li>
                        <li>@Html.ActionLink("À propos de", "About", "Home")</li>
                        <li>@Html.ActionLink("Contact", "Contact", "Home")</li>
                    </ul>
                    @Html.Partial("_LoginPartial")
                </div>
            </div>
        </div>
        <div class="container body-content">
            @RenderBody()
            <hr />
            <footer>
                <p>&copy; @DateTime.Now.Year - Mon application ASP.NET</p>
            </footer>
        </div>*@

    <div class="wrapper">
        <!-- Sidebar  -->
        <nav id="sidebar" class="position-fixed">
            <div class="sidebar-header">
                <button type="button" id="sidebarCollapse" class="btn btn-info">
                    <i class="fas fa-bars"></i>
                </button>
                @*<h3>Foodtruck</h3>*@
            </div>

            <ul class="list-unstyled components">
                <li>
                    <a href="@Url.Action("Index", "Home", null)" class="@(ViewBag.Menu == "accueil" ? "selected" : "")">
                        <i class="fas fa-home"></i>
                        accueil
                    </a>
                </li>
                <li>
                    @*<a href="@Url.Action("Index", "Catalogue", null)" class="@(ViewBag.Menu == "catalogue" ? "selected" : "")">
                        <i class="fas fa-utensils"></i>
                        catalague
                    </a>*@
                    <a onclick="navigateTo('@Url.Action("Index", "Catalogue", null)', 'dateOrder')" class="@(ViewBag.Menu == "catalogue" ? "selected" : "")" style="cursor :pointer;">
                        <i class="fas fa-utensils"></i>
                        catalague
                    </a>
                </li>
            </ul>
        </nav>

        <!-- Page Content  -->
        <div id="content">
            
            <nav class="navbar navbar-expand-lg navbar-light bg-light" id="topNav">
                <div class="d-flex flex-row justify-content-start" style="flex-grow:2;">
                    <h2 class="withThemeColor">@ViewBag.Title</h2>
                </div>
                <div class="d-flex flex-row justify-content-sm-between" style="border-left:2px solid black; padding-left:10px;">
                    @if (User.Identity.IsAuthenticated)
                    {
                        <div style="margin-right:80px;">
                            <p class="withThemeColor" style="margin:0px;">Bonjour</p>
                            <p style="margin:0px;">@User.Identity.Name</p>
                        </div>
                    }
                    <div class="d-flex flex-row justify-content-end">
                        @if (User.Identity.IsAuthenticated)
                        {
                            <a href="@Url.Action("index", "Manage", new { id = "registerLink" })">
                                <div class="navBadge">
                                    <i class="fas fa-user"></i>
                                </div>
                            </a>

                            <a data-toggle="modal" data-target="#chooseDateOrder">
                                <div class="navBadge">
                                    <i class="fa fa-calendar"></i>
                                </div>
                            </a>

                            <a href="@Url.Action("panier", "catalogue", new { id = "registerLink" })">
                                <div class="navBadge">
                                    <i class="fas fa-shopping-cart"></i>
                                </div>
                            </a>

                            using (Html.BeginForm("LogOff", "Account", FormMethod.Post, new { id = "logoutForm", @class = "navbar-right" }))
                            {
                                @Html.AntiForgeryToken()
                                <a href="javascript:document.getElementById('logoutForm').submit()">
                                    <div class="navBadge">
                                        <i class="fas fa-power-off"></i>
                                    </div>
                                </a>
                                @*@Html.ActionLink("Hello " + User.Identity.GetUserName() + "!", "Index", "Manage", routeValues: null, htmlAttributes: new { title = "Manage" })*@
                            }
                        }
                        else
                        {

                            <a href="@Url.Action("Register", "Account", new { id = "registerLink" })">
                                <div class="navBadge">
                                    <i class="fas fa-user-plus"></i>
                                </div>
                            </a>

                            <a href="@Url.Action("Login", "Account", new { id = "loginLink" })">
                                <div class="navBadge">
                                    <i class="fas fa-sign-in-alt"></i>
                                </div>
                            </a>
                        }
                    </div>
                </div>
            </nav>
            <div id="pageBody">
                @RenderBody()
            </div>
            <hr />
            <footer>
                <p>&copy; @DateTime.Now.Year - Mon application ASP.NET</p>
            </footer>
        </div>
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @Scripts.Render("~/bundles/siteScripts")
    @RenderSection("scripts", required: false)

    <!-- Modal -->
    <div class="modal fade " id="chooseDateOrder" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-labelledby="chooseDateOrderLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body text-center">
                    <h4>Choisissez la date de livraison</h4>
                    <div>
                        <div class="input-group mb-3 text-center">
                            <input type="date" min="@DateTime.Now.Date.ToString("yyyy-MM-dd")" max="@DateTime.Now.AddDays(14).ToString("yyyy-MM-dd")" id="dateLivraison" name="dateLivraison" class="form-control form-control-transparent" placeholder="Date de livraison" aria-label="dateLivraison" aria-describedby="basic-addon1">
                        </div>
                    </div>
                </div>
                <div class="alert alert-danger " role="alert" id="dateRequired" style="display:none;">
                    La date de livraison est obligatoire
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                    <button type="button" class="btn btn-primary" onclick="saveDateOrder();">Valider</button>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
